# xarray.CFTimeIndex.intersection

`CFTimeIndex.``intersection`(other, sort=False)

  Form the intersection of two Index objects.

  This returns a new Index with elements common to the index and other.

  Parameters:

  - other (Index or array-like) –
  - sort (False or None, default False) –

    Whether to sort the resulting index.

    - False : do not sort the result.
    - None : sort the result, except when self and other are equal or when the values cannot be compared.

    New in version 0.24.0.

    Changed in version 0.24.1: Changed the default from `True` to `False`, to match the behaviour of 0.23.4 and earlier.

  Returns: | intersection
  Return type: | Index

  Examples

      >>> idx1 = pd.Index([1, 2, 3, 4])
      >>> idx2 = pd.Index([3, 4, 5, 6])
      >>> idx1.intersection(idx2)
      Int64Index([3, 4], dtype='int64')